# MagicTune (SPA Service)

> Built to fulfill Tugas Besar 2 IF3110 Pengembangan Aplikasi Berbasis Web

<!-- TABLE OF CONTENTS -->
<details>
  <summary>Table of Contents</summary>
  <ol>
    <li><a href="#about-the-project">About The Project</a></li>
    <li><a href="#usage">Usage</a></li>
    <li><a href="#database-schema">Database Schema</a></li>
    <li><a href="#api-endpoint">API Endpoint</a></li>
    <li><a href="#team-member">Team Member</a></li>
  </ol>
</details>

## About The Project

Aplikasi ini dibangun dengan menggunakan framework ReactJS. Aplikasi ini memungkinkan pengguna memutar dan mendengarkan file audio, seperti lagu pada perangkat mereka.  Aplikasi ini biasanya menyediakan antarmuka yang intuitif, fitur pencarian lagu, kontrol pemutaran (seperti play, pause, dan skip), dan dukungan untuk mengatur lagu album/

- Melakukan login dan logout untuk mengakses fitur-fitur tertentu.
- Lagu-lagu.
- Like pada lagu yang ada.
- Komen pada lagu yang ada.
- Album-album.
- Mengelola profil pribadi, termasuk foto profil, nama, password.

## Usage

1. Clone repository
2. Buat file .env
3. Run docker

```bash
docker-compose up --build -d
```

Jika sudah pernah melakukan build, jalankan perintah berikut.

```bash
docker compose up -d
```

4. Pull db untuk membuat skema prisma.

```bash
npx prisma db pull
```

## Home Page

<img src="./src/assets/screenshoot/Screenshot_86.jpg" alt="database schema image" width="500">

## Album Page

<img src="./src/assets/screenshoot/Screenshot_89.jpg" alt="database schema image" width="500">

## User Page

<img src="./src/assets/screenshoot/Screenshot_88.jpg" alt="database schema image" width="500">

## Comment

<img src="./src/assets/screenshoot/Screenshot_90.jpg" alt="database schema image" width="500">

## Like

<img src="./src/assets/screenshoot/Screenshot_91.jpg" alt="database schema image" width="500">

##


## Team Member

| Nama                 | NIM      |
| -------------------- | -------- |
| Athif Nirwasito      | 13521053 |
| Akmal M              | 13521070 |
| Muhammad Zaydan A    | 13521104 |



| Halaman              | NIM      |
| -------------------- | -------- |
| Publisher      | 13521053 |
| Publisher              | 13521070 |
| Song,AddSong,User,Album,AddAlbum| 13521104 |

- Halaman Song: 13521104
- Halaman AddSong: 13521104
- Halaman User: 13521104
- Halaman Album: 13521104
- Halaman AddAlbum: 13521104
