import { Card } from "./card"
import addAlbum from '../assets/logo/addAlbum.png'
import { NavLink} from "react-router-dom"
import { Album } from "./album"
import { FaChevronCircleDown } from "react-icons/fa";
import { useSongs } from "../contexts/SongContext";
export function CardList(props){

    const {isMax} = useSongs()
    return(
        <div className="cardCon2">
            <div className="cardCon3" id="data-container">

                {props.song && props.data && props.data.length !==0 ? props.data.map((data,index)=>(
                    <Card key={index} data={data} song={props.song} mySong={props.mySong} audioRef={props.audioRef} index={index}></Card>
                )) : null}

                {
                    !props.song && props.data && props.data.length !==0 ? props.data.map((data,index)=>(
                    <Album key={index} data={data} song={props.song} index={index}></Album>
                )) : null}

                {props.song && !props.mySong &&isMax && <div className="outerCard text-white font-[Garamond] text-[40px] p-14 text-center">
                    No more song available
                </div>}
                {!props.song?                
                <div className="outerCard">
                    <div className="card addAlbum">
                        <NavLink  to="/addAlbum">
                            <img src={addAlbum}/>
                        </NavLink>
                    </div>
                </div>:<div className="outerCard">
                    <div className="card addAlbum">
                        <NavLink  to="/addSong">
                            <img src={addAlbum}/>
                        </NavLink>
                    </div>
                </div>
                }

            </div>

                {!props.mySong && props.song && <div className="mt-10 flex justify-center items-center text-[#1C2540]" id='scroll'>
                    <FaChevronCircleDown className="text-4xl hover:text-gray-400 font-bold" onClick={()=>{
                        props.loadSong();
                    }}></FaChevronCircleDown>
                </div>} 
        </div>

    )
}